Bug 117495 - A proposal for handling Bebop portlets minimization / maximization
A proposal for handling Bebop portlets minimization / maximization
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Portal Server
Classification: Retired
Component: Other (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-04 12:19 EST by Emmanuel Gaillot
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The proposed code (11.32 KB, application/octet-stream)
2004-03-04 12:27 EST, Emmanuel Gaillot
no flags Details

  None (edit)
Description Emmanuel Gaillot 2004-03-04 12:19:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
The proposed enhancement (see attachment) enables portlet to be
minimized of maximized, through the use of a PortalComponent. This
(Bebop) component gets the portlets and associated presentation as
defined in the given tab of a given user's personal portal.  In the
example we added (see ExampleDispatcher class), we pass to the
component the first tab of the "current user" 's portal.

The portalserver.xsl file defines the graphics for the newly stylized
portlets. Needed images for the icons are in the <assets> directory.

Portlets may now be minimized, maximized and restored when the user
clicks on the appropriate icon. This feature does not interfere with
the  portal-admin's behavior.

This package needs the following jar : servlet.jar

The unit tests need junit.jar as well, and need to be performed within
an up-and-running WAF instance. The tests assume that one user is
connected, and has previously created a personal portal with the
portal-admin GUI.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert classes, XSL and images at their correct place in an
existing WAF project.
2. Add example code to the project's dispatcher
3. Update main style-sheed XSL file so that it imports the customized
portalserver.xsl
4. Launch WAF project, go to the proper URL (in the example case :
http://[your_server]:[your_port]/ccm/demo/portlets) and check behavior.

Additional info:
Comment 1 Emmanuel Gaillot 2004-03-04 12:27:48 EST
Created attachment 98299 [details]
The proposed code
Comment 2 Jon Orris 2006-09-05 13:42:43 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.